# Extract unencrypted archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": null
}'
# Extract password-protected archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": "secretpassword"
}'
const entryId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}/extract?workspaceId=0`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 456, // destination folder
password: null // or 'password' for encrypted archives
})
}
);
const data = await response.json();
console.log(data.message);
import requests
entry_id = 123
response = requests.post(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}/extract',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'parentId': 456,
'password': None # or 'password' for encrypted
}
)
print(response.json()['message'])
{
"message": "Archive extracted successfully.",
"status": "success"
}
{
"status": "error",
"message": "Invalid archive or wrong password."
}
Files & Folders
Extract Archive
Extract contents of a ZIP archive
POST
/
file-entries
/
{entryId}
/
extract
# Extract unencrypted archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": null
}'
# Extract password-protected archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": "secretpassword"
}'
const entryId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}/extract?workspaceId=0`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 456, // destination folder
password: null // or 'password' for encrypted archives
})
}
);
const data = await response.json();
console.log(data.message);
import requests
entry_id = 123
response = requests.post(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}/extract',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'parentId': 456,
'password': None # or 'password' for encrypted
}
)
print(response.json()['message'])
{
"message": "Archive extracted successfully.",
"status": "success"
}
{
"status": "error",
"message": "Invalid archive or wrong password."
}
Overview
Extracts the contents of a ZIP archive to a specified folder. Supports password-protected archives.Path Parameters
integer
required
The ZIP file entry ID
Query Parameters
integer
Workspace context
Request Body
integer
required
Destination folder ID. Use
0 for root.string
Password for encrypted archives. Use
null for unencrypted.Response
string
Success message
string
Request status (
success)# Extract unencrypted archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": null
}'
# Extract password-protected archive
curl -X POST "https://app.drime.cloud/api/v1/file-entries/123/extract?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"parentId": 456,
"password": "secretpassword"
}'
const entryId = 123;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}/extract?workspaceId=0`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 456, // destination folder
password: null // or 'password' for encrypted archives
})
}
);
const data = await response.json();
console.log(data.message);
import requests
entry_id = 123
response = requests.post(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}/extract',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'parentId': 456,
'password': None # or 'password' for encrypted
}
)
print(response.json()['message'])
{
"message": "Archive extracted successfully.",
"status": "success"
}
{
"status": "error",
"message": "Invalid archive or wrong password."
}
⌘I

